Package org.spongepowered.asm.service

## Class ServiceVersionError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.spongepowered.asm.service.ServiceVersionError

All Implemented Interfaces:
  `java.io.Serializable`

    public class ServiceVersionError
    extends java.lang.Error

Error to throw when loaded service is out of date or mismatched

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ServiceVersionError​(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceVersionError

    public ServiceVersionError​(java.lang.String message)